@use 'sass:meta';
/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import '@ionic/angular/css/core.css';

/* Basic CSS for apps built with Ionic */
@import '@ionic/angular/css/normalize.css';
@import '@ionic/angular/css/structure.css';
@import '@ionic/angular/css/typography.css';
@import '@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import '@ionic/angular/css/padding.css';
@import '@ionic/angular/css/float-elements.css';
@import '@ionic/angular/css/text-alignment.css';
@import '@ionic/angular/css/text-transformation.css';
@import '@ionic/angular/css/flex-utils.css';
@include meta.load-css('fonts.scss');

@import 'material-icons/iconfont/material-icons.css';
@include meta.load-css('material-symbols');

@import 'maplibre-gl/dist/maplibre-gl.css';
@include meta.load-css('custom-maplibregl');

@import 'photoswipe/dist/photoswipe.css';

* {
  font-variant-numeric: lining-nums;
}

html,
body {
  background: var(--Containerized-Background);
  --ion-safe-area-top: var(--safe-area-inset-top, env(safe-area-inset-top));
  --ion-safe-area-bottom: var(
    --safe-area-inset-bottom,
    env(safe-area-inset-bottom)
  );
  --ion-safe-area-left: var(--safe-area-inset-left, env(safe-area-inset-left));
  --ion-safe-area-right: var(
    --safe-area-inset-right,
    env(safe-area-inset-right)
  );
}

p,
ion-col,
ion-row,
h1,
h2,
h3,
h4 {
  margin: 0;
  padding: 0;
  --padding-top: 0;
  --padding-left: 0;
  --padding-start: 0;
  --padding-end: 0;
}

.content-font {
  font-family: var(--Content-Font);

  user-select: text;
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
}

a {
  text-decoration: none;
  color: unset;
  cursor: pointer;
}

.content-text a {
  text-decoration: underline;
  color: var(--Main-Foreground-Link);
}

.can-go-back ion-header ion-back-button {
  display: block;
}

ion-card {
  box-shadow: none;
}

ion-title {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  text-align: center;
}

ion-searchbar {
  .searchbar-input-container {
    input {
      font-size: 1rem !important;
      font-weight: 600 !important;
    }
  }
}

ion-action-sheet {
  --button-color: var(--Main-Foreground) !important;
}

.custom-vertical-button {
  width: 100%;
}

ion-toggle {
  --handle-background-checked: var(--Maximum-Background);
  --track-background-checked: var(--Main-Foreground);
}

.default-rounded {
  margin: 0;
  border-radius: var(--card-corner-radius);
}

.default-shadow {
  box-shadow: var(--default-shadow);
}

.default-card {
  @extend .default-rounded;
  padding: var(--card-text-padding-vertical) var(--card-text-padding-horizontal);
  background: var(--Maximum-Background);
}

.strong-elevation {
  @extend .default-shadow;
  border: none;
}

.subtle-elevation {
  border: 3px solid var(--Hint-Foreground);
  box-shadow: none;
}

.error-colors {
  background: var(--Error-Background);
  color: var(--On-Error-Foreground);
}

.warning-colors {
  background: var(--Warning-Background);
  color: var(--Main-Foreground);
}

.hint-colors {
  background: var(--Hint-Background);
  color: var(--Main-Foreground);
}

.error-card {
  @extend .default-card;
  @extend .strong-elevation;
  @extend .error-colors;
}

.warning-card {
  @extend .default-card;
  @extend .strong-elevation;
  @extend .warning-colors;
}

.hint-card {
  @extend .default-card;
  @extend .strong-elevation;
  @extend .hint-colors;
}

button {
  line-height: unset;
}

.category-filter-modal {
  --min-width: 100%;
  --min-height: 100%;
  --width: 100%;
  --height: 100%;
}

.flex-list {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: start;
  gap: 0;
}

.flex-row-text {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: start;
  gap: var(--spacing-small);
}

.flex-list-small {
  @extend .flex-list;
  gap: var(--spacing-small);
}

.flex-list-minor-min {
  @extend .flex-list;
  gap: var(--spacing-minor-min);
}

.flex-list-minor {
  @extend .flex-list;
  gap: var(--spacing-minor);
}

.flex-list-medium {
  @extend .flex-list;
  gap: var(--spacing-medium);
}

.flex-list-large {
  @extend .flex-list;
  gap: var(--spacing-large);
}

.flex-list-subsections {
  @extend .flex-list;
  gap: var(--content-subsection-spacing);
}

.flex-list-content-sections {
  @extend .flex-list;
  gap: var(--content-section-spacing);
}

.flex-list-feed-section {
  @extend .flex-list;
  gap: var(--feed-section-spacing);
}

.flex-list-feed-items {
  @extend .flex-list;
  gap: var(--feed-item-spacing);
}

.flex-list-lines {
  @extend .flex-list;
  gap: var(--minimum-line-spacing);
}

.flex-list-menu-buttons {
  @extend .flex-list;
  gap: var(--menu-button-list-spacing);
}

.content-spacing-medium-medium {
  padding: var(--spacing-medium) 0;
}

.content-spacing-small-medium {
  padding: var(--spacing-small, 0.3125rem) 0 var(--spacing-medium, 2.5rem) 0;
}

.content-spacing-minor-minor {
  padding: var(--spacing-minor, 0.9375rem) 0 var(--spacing-minor, 0.9375rem) 0;
}

.content-spacing-small-large {
  padding: var(--spacing-small, 0.3125rem) 0 var(--spacing-large, 5rem) 0;
}

.pswp__top-bar {
  padding-top: calc(
    var(--safe-area-inset-top, env(safe-area-inset-top)) + 0.5rem
  );
}

@media screen and (min-width: 35rem) {
  ion-app {
    max-width: 30rem;
    margin: 0 auto;
    overflow-x: hidden;
    box-shadow: var(--default-shadow);
  }
}

ion-skeleton-text {
  border-radius: var(--card-corner-radius);
}

ion-refresher {
  z-index: 10;
}

.no-content-margin {
  *:first-child {
    margin-top: 0;
  }

  *:last-child {
    margin-bottom: 0;
  }
}

.map-modal {
  --box-shadow: none;
  --height: 70%;
  --width: 95%;
  --border-radius: 16px;
  align-items: end;
  pointer-events: none;
  box-shadow: none;
  padding-bottom: calc(
    var(--safe-area-inset-bottom, env(safe-area-inset-bottom, 0px)) +
      var(--tabbar-height, 56px)
  );
}

ion-modal.map-modal::part(content) {
  border-radius: var(--border-radius);
  overflow: hidden;
}

ion-modal.map-modal::part(backdrop) {
  pointer-events: none;
}

.modal-header {
  --Colored-Background: var(--Maximum-Background);
  --circle-button-bg: var(--color-button-secondary-normal);
  --circle-icon-color: var(--Main-Foreground, #000);
}

.maplibregl-ctrl-bottom-right {
  margin-bottom: 4rem;
}
